package com.gxzc.zen.api.util

import com.gxzc.zen.api.sys.model.SysParam
import com.gxzc.zen.common.util.SpringContextHolder
import com.gxzc.zen.rpc.api.sys.RParamService

/**
 * 系统参数工具类
 * 缓存中获取
 * @author NorthLan
 * @date 2018/3/19
 * @url https://noahlan.com
 */
object SysParamUtil {
    private var sysParamService: RParamService? = null
        get() {
            if (field == null) {
                field = SpringContextHolder.getBean(RParamService::class.java)
            }
            return field
        }

    fun getByKey(key: String): SysParam? {
        return sysParamService!!.getByKey(key)
    }
}