package com.gxzc.zen.msg.mq

import com.maihaoche.starter.mq.annotation.EnableMQConfiguration
import com.maihaoche.starter.mq.annotation.MQProducer
import com.maihaoche.starter.mq.base.AbstractMQProducer
import org.springframework.boot.autoconfigure.condition.ConditionalOnBean

/**
 * MQ 消息生产者
 * @author NorthLan
 * @date 2018/8/21
 * @url https://noahlan.com
 */
@MQProducer
@ConditionalOnBean(annotation = [EnableMQConfiguration::class])
class ZenMQProducer : AbstractMQProducer()