package com.gxzc.zen.msg.mq.constants

/**
 * MQ 各种常量
 * @author NorthLan
 * @date 2018/8/23
 * @url https://noahlan.com
 */
object MQConstants {
    /*-------------------------------------------
    |                Topic 常 量                |
    ============================================*/
    const val TOPIC_LOGS = "topic_logs" // logs系统的topic

    /*-------------------------------------------
    |                TAGS 常 量                 |
    ============================================*/
    const val TAGS_LOGS_AUTH = "auth" // 登录
    const val TAGS_LOGS_REQUEST = "request" // 请求
    const val TAGS_LOGS_DB = "db" // 数据库操作
    const val TAGS_LOGS_BIZ = "biz" // 业务


    /*-------------------------------------------
    |            Consumer Group 常 量            |
    ============================================*/
    const val CONSUMER_GROUP_LOGS_AUTH = "group_logs_auth" // 登录TAG-消费组
    const val CONSUMER_GROUP_LOGS_REQUEST = "group_logs_request" // 请求TAG-消费组
    const val CONSUMER_GROUP_LOGS_DB = "group_logs_db" // 数据库操作TAG-消费组
    const val CONSUMER_GROUP_LOGS_BIZ = "group_logs_biz" // 业务TAG-消费组
}