package com.gxzc.zen.rpc.api.sys

import com.gxzc.zen.api.sys.model.SysParam

/**
 * 系统参数 RPC 接口
 * @author NorthLan
 * @date 2018/7/10
 * @url https://noahlan.com
 */
interface RParamService {

    /**
     * 通过Key获取SysParam
     * @param key key
     * @param enabled 是否启用(逻辑删)
     */
    fun getByKey(key: String, enabled: Boolean = true): SysParam?
}